package client_handlers

import (
	"cpone/utils"
	client_mdhargapanel "cpone/views/client/mdhargapanel"

	"github.com/labstack/echo/v4"
)

type MdHargaPanelService interface {
}

func NewMdHargaPanelHandler(us MdHargaPanelService) *MdHargaPanelHandler {
	return &MdHargaPanelHandler{
		MdHargaPanelService: us,
	}
}

type MdHargaPanelHandler struct {
	MdHargaPanelService MdHargaPanelService
}

func (uh *MdHargaPanelHandler) ShowMdHargaPanel(c echo.Context) error {
	helo := client_mdhargapanel.Show()
	return utils.View(c, helo)
}
